Bug 37291 - gimp-perl should depend on perl-Gtk-Perl
gimp-perl should depend on perl-Gtk-Perl
Product: Red Hat Linux
Classification: Retired
Component: gimp (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-23 23:54 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-16 12:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-23 23:54:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-3 i686)

Most (all?) gimp-perl scripts open dialogs which requires the CPAN module
Gtk-Perl to be installed.  Since Gtk-Perl is now shipped on the DMA cd,
perhaps gimp-perl can depend on the perl-Gtk-Perl rpm.

Reproducible: Always
Steps to Reproduce:
1.rpm -i gimp.rpm
2.rpm -i gimp-perl.rpm
3.run gimp
4. Add the following script to ~/gimp-1.2/plug-ins

--- begin perl-test.pl ---

use Gimp qw(:auto __ N_);
use Gimp::Fu;
use Gimp::Util;
use strict;


register "foo_bar",
  "Foo Bar",
  "Does nothing",
  "Copyright 2001 Mr Foo",
  "Apr 24 2001",
   [ PF_TEXT, "text", "Text:", "Home" ],
   [ PF_FONT, "font", "Font:", "-*-Eras-*-r-*-*-24-*-*-*-p-*-*-*"
   [ PF_INT, "fontsize", "Font size:", "25"],
   [ PF_COLOR, "bgcolor", "Background Colour:", [222, 234, 234]]
  sub {
    # Code goes here.

exit main();
--- end perl-test.pl ---

5. Restart gimp and notice that "FooBar..." is not in the Xtns menu.
6. rpm -i perl-Gtk-Perl
7. Restart gimp and notice that "FooBar..." _is_ in the Xtns menu.
Comment 1 Itai Nahshon 2001-06-06 13:05:54 EDT
I did my little investigation and here's the code responsible
for not installing menu entries for perl plug-ins.

gimp-1.2.1/plug-ins/perl/Gimp/Fu.pm lines 358-362:
      # Gtk not installed -> do not install menu entry
      if (@$params > $defargs) {
         require Gimp::Feature;
         undef $menupath unless Gimp::Feature::present('gtk');
Comment 2 Matt Wilson 2003-10-16 12:36:20 EDT
gimp-perl requires:

which is provided by Gtk-Perl

Note You need to log in before you can comment on or make changes to this bug.